> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a workflow



## OpenAPI

````yaml /openapi/workflows.json post /workflows
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows:
    post:
      tags:
        - Workflows
      summary: Create a workflow
      operationId: workflows.create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: Name
                description:
                  type: string
                  maxLength: 1000
                  description: Description
                externalId:
                  type: string
                  maxLength: 255
                  description: External ID
                status:
                  enum:
                    - draft
                    - active
                    - inactive
                  type: string
                  description: Status
                workflow:
                  type: object
                  properties:
                    nodes:
                      type: array
                      items:
                        anyOf:
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: trigger.event
                              data:
                                type: object
                                properties:
                                  timeout:
                                    enum:
                                      - 1h
                                      - 6h
                                      - 24h
                                      - 72h
                                      - 7d
                                      - 14d
                                      - 30d
                                    type: string
                                    default: 72h
                                  entity:
                                    enum:
                                      - transaction
                                      - client
                                    type: string
                                    description: Entity
                                  events:
                                    type: array
                                    minItems: 1
                                    items:
                                      enum:
                                        - created
                                        - updated
                                      type: string
                                    description: Events
                                  condition:
                                    anyOf:
                                      - type: object
                                        properties:
                                          type:
                                            const: field
                                            description: Type
                                          field:
                                            type: string
                                            minLength: 1
                                            description: Field
                                          operator:
                                            enum:
                                              - eq
                                              - neq
                                              - gt
                                              - gte
                                              - lt
                                              - lte
                                              - in
                                              - nin
                                              - contains
                                              - startsWith
                                              - endsWith
                                              - exists
                                              - notExists
                                              - arrayContains
                                              - arrayNotContains
                                              - arrayEmpty
                                              - arrayNotEmpty
                                            type: string
                                            description: Operator
                                          value:
                                            anyOf:
                                              - anyOf:
                                                  - type: string
                                                  - type: number
                                                  - type: boolean
                                                  - type: 'null'
                                              - type: array
                                                items:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                    - {}
                                                    - {}
                                            description: Value
                                        required:
                                          - type
                                          - field
                                          - operator
                                      - type: object
                                        properties:
                                          type:
                                            const: and
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: or
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: not
                                          condition:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    const: field
                                                    description: Type
                                                  field:
                                                    type: string
                                                    minLength: 1
                                                    description: Field
                                                  operator:
                                                    enum:
                                                      - eq
                                                      - neq
                                                      - gt
                                                      - gte
                                                      - lt
                                                      - lte
                                                      - in
                                                      - nin
                                                      - contains
                                                      - startsWith
                                                      - endsWith
                                                      - exists
                                                      - notExists
                                                      - arrayContains
                                                      - arrayNotContains
                                                      - arrayEmpty
                                                      - arrayNotEmpty
                                                    type: string
                                                    description: Operator
                                                  value:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Value
                                                required:
                                                  - type
                                                  - field
                                                  - operator
                                              - type: object
                                                properties:
                                                  type:
                                                    const: and
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: or
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: not
                                                  condition: {}
                                                required:
                                                  - type
                                        required:
                                          - type
                                          - condition
                                    description: Condition
                                required:
                                  - entity
                                  - events
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: trigger.schedule
                              data:
                                type: object
                                properties:
                                  timeout:
                                    enum:
                                      - 1h
                                      - 6h
                                      - 24h
                                      - 72h
                                      - 7d
                                      - 14d
                                      - 30d
                                    type: string
                                    default: 72h
                                  cron:
                                    type: string
                                    description: Cron
                                  timezone:
                                    type: string
                                    default: UTC
                                    description: Timezone
                                required:
                                  - cron
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: trigger.manual
                              data:
                                type: object
                                properties:
                                  timeout:
                                    enum:
                                      - 1h
                                      - 6h
                                      - 24h
                                      - 72h
                                      - 7d
                                      - 14d
                                      - 30d
                                    type: string
                                    default: 72h
                                  inputs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        key:
                                          type: string
                                          minLength: 1
                                          maxLength: 255
                                        label:
                                          type: string
                                          minLength: 1
                                          maxLength: 255
                                        type:
                                          enum:
                                            - string
                                            - number
                                            - boolean
                                            - date
                                            - timestamp
                                          type: string
                                        description:
                                          type: string
                                          maxLength: 1000
                                        required:
                                          type: boolean
                                          default: true
                                        defaultValue: {}
                                      required:
                                        - key
                                        - label
                                        - type
                                    description: Inputs
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: trigger.manual_file
                              data:
                                type: object
                                properties:
                                  timeout:
                                    enum:
                                      - 1h
                                      - 6h
                                      - 24h
                                      - 72h
                                      - 7d
                                      - 14d
                                      - 30d
                                    type: string
                                    default: 72h
                                  columns:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 255
                                        label:
                                          type: string
                                          minLength: 1
                                          maxLength: 255
                                        type:
                                          enum:
                                            - string
                                            - number
                                            - boolean
                                            - date
                                            - timestamp
                                          type: string
                                      required:
                                        - name
                                        - label
                                        - type
                                    default: []
                                    description: Columns
                                  matching:
                                    enum:
                                      - exact
                                      - case_insensitive
                                      - fuzzy
                                    type: string
                                    default: fuzzy
                                    description: Matching
                                  sheetSelection:
                                    enum:
                                      - first
                                      - by_name
                                    type: string
                                    default: first
                                    description: Sheet Selection
                                  sheetName:
                                    type: string
                                    minLength: 1
                                    description: Sheet Name
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: trigger.api
                              data:
                                type: object
                                properties:
                                  timeout:
                                    enum:
                                      - 1h
                                      - 6h
                                      - 24h
                                      - 72h
                                      - 7d
                                      - 14d
                                      - 30d
                                    type: string
                                    default: 72h
                                  jsonSchema:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                    default:
                                      type: object
                                      properties:
                                        example:
                                          type: string
                                      required:
                                        - example
                                    description: JSON Schema
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: source.query_transactions
                              data:
                                type: object
                                properties:
                                  timeWindow:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                        default: createdAt
                                        description: Field
                                      anchor:
                                        type: string
                                        default: '{{execution.timestamp}}'
                                        description: Anchor
                                      before:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: Before
                                      after:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: After
                                  filter:
                                    anyOf:
                                      - type: object
                                        properties:
                                          type:
                                            const: field
                                            description: Type
                                          field:
                                            type: string
                                            minLength: 1
                                            description: Field
                                          operator:
                                            enum:
                                              - eq
                                              - neq
                                              - gt
                                              - gte
                                              - lt
                                              - lte
                                              - in
                                              - nin
                                              - contains
                                              - startsWith
                                              - endsWith
                                              - exists
                                              - notExists
                                              - arrayContains
                                              - arrayNotContains
                                              - arrayEmpty
                                              - arrayNotEmpty
                                            type: string
                                            description: Operator
                                          value:
                                            anyOf:
                                              - anyOf:
                                                  - type: string
                                                  - type: number
                                                  - type: boolean
                                                  - type: 'null'
                                              - type: array
                                                items:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                    - {}
                                                    - {}
                                            description: Value
                                        required:
                                          - type
                                          - field
                                          - operator
                                      - type: object
                                        properties:
                                          type:
                                            const: and
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: or
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: not
                                          condition:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    const: field
                                                    description: Type
                                                  field:
                                                    type: string
                                                    minLength: 1
                                                    description: Field
                                                  operator:
                                                    enum:
                                                      - eq
                                                      - neq
                                                      - gt
                                                      - gte
                                                      - lt
                                                      - lte
                                                      - in
                                                      - nin
                                                      - contains
                                                      - startsWith
                                                      - endsWith
                                                      - exists
                                                      - notExists
                                                      - arrayContains
                                                      - arrayNotContains
                                                      - arrayEmpty
                                                      - arrayNotEmpty
                                                    type: string
                                                    description: Operator
                                                  value:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Value
                                                required:
                                                  - type
                                                  - field
                                                  - operator
                                              - type: object
                                                properties:
                                                  type:
                                                    const: and
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: or
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: not
                                                  condition: {}
                                                required:
                                                  - type
                                        required:
                                          - type
                                          - condition
                                  productIds:
                                    type: array
                                    items:
                                      type: string
                                      format: uuid
                                  tagIds:
                                    type: array
                                    items:
                                      type: string
                                      format: uuid
                                  limit:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 50000
                                    exclusiveMinimum: 0
                                  matchInputColumn:
                                    type: string
                                  matchTargetField:
                                    enum:
                                      - externalId
                                      - id
                                    type: string
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: source.query_clients
                              data:
                                type: object
                                properties:
                                  timeWindow:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                        default: createdAt
                                        description: Field
                                      anchor:
                                        type: string
                                        default: '{{execution.timestamp}}'
                                        description: Anchor
                                      before:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: Before
                                      after:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: After
                                  filter:
                                    anyOf:
                                      - type: object
                                        properties:
                                          type:
                                            const: field
                                            description: Type
                                          field:
                                            type: string
                                            minLength: 1
                                            description: Field
                                          operator:
                                            enum:
                                              - eq
                                              - neq
                                              - gt
                                              - gte
                                              - lt
                                              - lte
                                              - in
                                              - nin
                                              - contains
                                              - startsWith
                                              - endsWith
                                              - exists
                                              - notExists
                                              - arrayContains
                                              - arrayNotContains
                                              - arrayEmpty
                                              - arrayNotEmpty
                                            type: string
                                            description: Operator
                                          value:
                                            anyOf:
                                              - anyOf:
                                                  - type: string
                                                  - type: number
                                                  - type: boolean
                                                  - type: 'null'
                                              - type: array
                                                items:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                    - {}
                                                    - {}
                                            description: Value
                                        required:
                                          - type
                                          - field
                                          - operator
                                      - type: object
                                        properties:
                                          type:
                                            const: and
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: or
                                          conditions:
                                            type: array
                                            minItems: 1
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    field: {}
                                                    operator: {}
                                                    value: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    conditions: {}
                                                - type: object
                                                  properties:
                                                    type: {}
                                                    condition: {}
                                        required:
                                          - type
                                          - conditions
                                      - type: object
                                        properties:
                                          type:
                                            const: not
                                          condition:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    const: field
                                                    description: Type
                                                  field:
                                                    type: string
                                                    minLength: 1
                                                    description: Field
                                                  operator:
                                                    enum:
                                                      - eq
                                                      - neq
                                                      - gt
                                                      - gte
                                                      - lt
                                                      - lte
                                                      - in
                                                      - nin
                                                      - contains
                                                      - startsWith
                                                      - endsWith
                                                      - exists
                                                      - notExists
                                                      - arrayContains
                                                      - arrayNotContains
                                                      - arrayEmpty
                                                      - arrayNotEmpty
                                                    type: string
                                                    description: Operator
                                                  value:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Value
                                                required:
                                                  - type
                                                  - field
                                                  - operator
                                              - type: object
                                                properties:
                                                  type:
                                                    const: and
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: or
                                                  conditions:
                                                    type: array
                                                    minItems: 1
                                                    items: {}
                                                required:
                                                  - type
                                                  - conditions
                                              - type: object
                                                properties:
                                                  type:
                                                    const: not
                                                  condition: {}
                                                required:
                                                  - type
                                        required:
                                          - type
                                          - condition
                                  productIds:
                                    type: array
                                    items:
                                      type: string
                                      format: uuid
                                  tagIds:
                                    type: array
                                    items:
                                      type: string
                                      format: uuid
                                  limit:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 50000
                                    exclusiveMinimum: 0
                                  matchInputColumn:
                                    type: string
                                  matchTargetField:
                                    enum:
                                      - externalId
                                      - id
                                    type: string
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_address
                              data:
                                type: object
                                properties:
                                  addressType:
                                    enum:
                                      - home
                                      - business
                                      - mailing
                                      - legal
                                      - other
                                    type: string
                                  isPrimary:
                                    type: boolean
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_phone
                              data:
                                type: object
                                properties:
                                  isPrimary:
                                    type: boolean
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_email
                              data:
                                type: object
                                properties:
                                  isPrimary:
                                    type: boolean
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_bank_account
                              data:
                                type: object
                                properties:
                                  country:
                                    type: string
                                  type:
                                    enum:
                                      - checking
                                      - savings
                                      - investment
                                      - other
                                    type: string
                                  isPrimary:
                                    type: boolean
                                  isActive:
                                    type: boolean
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_legal_representative
                              data:
                                type: object
                                properties:
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_controlling_beneficiary
                              data:
                                type: object
                                properties:
                                  expand:
                                    type: object
                                    properties:
                                      mode:
                                        enum:
                                          - rows
                                          - columns
                                        type: string
                                        default: rows
                                      maxColumns:
                                        type: integer
                                        minimum: 1
                                        maximum: 20
                                        default: 3
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_document
                              data:
                                type: object
                                properties:
                                  category:
                                    enum:
                                      - identity
                                      - tax
                                      - address
                                      - incorporation
                                      - financial
                                      - other
                                      - consent
                                    type: string
                                  type:
                                    type: string
                                  status:
                                    enum:
                                      - pending_upload
                                      - uploaded
                                      - pending_review
                                      - processing
                                      - verified
                                      - rejected
                                      - expired
                                      - no_file
                                    type: string
                                  scope:
                                    enum:
                                      - MX
                                      - US
                                    type: string
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_evidence
                              data:
                                type: object
                                properties:
                                  category:
                                    enum:
                                      - invoice
                                      - receipt
                                      - bank_statement
                                      - proof_of_payment
                                      - contract
                                      - shipping
                                      - other
                                    type: string
                                  type:
                                    type: string
                                  status:
                                    enum:
                                      - pending_upload
                                      - uploaded
                                      - pending_review
                                      - processing
                                      - verified
                                      - rejected
                                      - expired
                                      - no_file
                                    type: string
                                  scope:
                                    enum:
                                      - MX
                                      - US
                                    type: string
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_transaction
                              data:
                                type: object
                                properties:
                                  role:
                                    enum:
                                      - base
                                      - counterparty
                                      - guarantor
                                    type: string
                                  timeWindow:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                        default: createdAt
                                        description: Field
                                      anchor:
                                        type: string
                                        default: '{{execution.timestamp}}'
                                        description: Anchor
                                      before:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: Before
                                      after:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                              exclusiveMinimum: 0
                                              description: Value
                                            unit:
                                              enum:
                                                - minutes
                                                - hours
                                                - days
                                                - weeks
                                                - months
                                                - years
                                              type: string
                                              description: Unit
                                          required:
                                            - value
                                            - unit
                                        description: After
                                    description: Time Window
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_client
                              data:
                                type: object
                                properties:
                                  role:
                                    enum:
                                      - base
                                      - counterparty
                                      - guarantor
                                    type: string
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: enrich.add_exchange_rate
                              data:
                                type: object
                                properties:
                                  targetCurrency:
                                    type: string
                                    minLength: 1
                                required:
                                  - targetCurrency
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: transform.aggregate
                              data:
                                type: object
                                properties:
                                  groupBy:
                                    type: array
                                    items:
                                      type: string
                                  aggregations:
                                    type: array
                                    minItems: 1
                                    items:
                                      type: object
                                      properties:
                                        function:
                                          enum:
                                            - sum
                                            - count
                                            - avg
                                            - min
                                            - max
                                          type: string
                                          description: Function
                                        field:
                                          type: string
                                          description: Field
                                        label:
                                          type: string
                                          minLength: 1
                                          description: Label
                                        alias:
                                          type: string
                                          minLength: 1
                                          pattern: ^[A-Za-z_][A-Za-z0-9_]*$
                                          description: Alias
                                      required:
                                        - function
                                        - alias
                                required:
                                  - aggregations
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: transform.time_bucket
                              data:
                                type: object
                                properties:
                                  field:
                                    type: string
                                    minLength: 1
                                  granularity:
                                    enum:
                                      - day
                                      - week
                                      - month
                                      - quarter
                                      - year
                                    type: string
                                    default: month
                                  alias:
                                    type: string
                                    minLength: 1
                                    default: period
                                required:
                                  - field
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: transform.window
                              data:
                                type: object
                                properties:
                                  partitionBy:
                                    type: array
                                    items:
                                      type: string
                                  orderBy:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        field:
                                          type: string
                                          minLength: 1
                                        direction:
                                          enum:
                                            - asc
                                            - desc
                                          type: string
                                          default: asc
                                      required:
                                        - field
                                  functions:
                                    type: array
                                    minItems: 1
                                    items:
                                      type: object
                                      properties:
                                        function:
                                          enum:
                                            - sum
                                            - count
                                            - avg
                                            - min
                                            - max
                                            - row_number
                                            - rank
                                            - dense_rank
                                            - lag
                                            - lead
                                          type: string
                                          description: Function
                                        field:
                                          type: string
                                          description: Field
                                        offset:
                                          type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                          exclusiveMinimum: 0
                                          default: 1
                                        alias:
                                          type: string
                                          minLength: 1
                                          description: Alias
                                      required:
                                        - function
                                        - alias
                                required:
                                  - functions
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: transform.set_column
                              data:
                                type: object
                                properties:
                                  columnLabel:
                                    type: string
                                    minLength: 1
                                  columnName:
                                    type: string
                                    minLength: 1
                                    pattern: ^[A-Za-z_][A-Za-z0-9_]*$
                                  columnType:
                                    enum:
                                      - string
                                      - number
                                      - boolean
                                      - date
                                    type: string
                                    default: string
                                  value:
                                    anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            const: constant
                                          value:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                              - type: 'null'
                                        required:
                                          - kind
                                          - value
                                      - type: object
                                        properties:
                                          kind:
                                            const: conditional
                                          branches:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                when:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                    - {}
                                                    - {}
                                                then:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                          else:
                                            anyOf:
                                              - anyOf:
                                                  - type: string
                                                  - type: number
                                                  - type: boolean
                                                  - type: 'null'
                                              - type: object
                                                properties:
                                                  expression:
                                                    type: string
                                                    minLength: 1
                                                required:
                                                  - expression
                                            default: null
                                        required:
                                          - kind
                                          - branches
                                      - type: object
                                        properties:
                                          kind:
                                            const: expression
                                          expression:
                                            type: string
                                            minLength: 1
                                        required:
                                          - kind
                                          - expression
                                      - type: object
                                        properties:
                                          kind:
                                            const: template
                                          template:
                                            type: string
                                            minLength: 1
                                        required:
                                          - kind
                                          - template
                                      - type: object
                                        properties:
                                          kind:
                                            const: text
                                          source:
                                            type: string
                                            minLength: 1
                                          operation:
                                            enum:
                                              - first_word
                                              - after_first_word
                                              - split_part
                                              - before_delimiter
                                              - after_delimiter
                                              - lpad
                                              - rpad
                                            type: string
                                          delimiter:
                                            type: string
                                            minLength: 1
                                          index:
                                            type: integer
                                            minimum: -9007199254740991
                                            maximum: 9007199254740991
                                            exclusiveMinimum: 0
                                          width:
                                            type: integer
                                            minimum: -9007199254740991
                                            maximum: 9007199254740991
                                            exclusiveMinimum: 0
                                          padChar:
                                            type: string
                                            minLength: 1
                                            maxLength: 1
                                        required:
                                          - kind
                                          - source
                                          - operation
                                required:
                                  - columnName
                                  - value
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: transform.python
                              data:
                                type: object
                                properties:
                                  code:
                                    type: string
                                    minLength: 1
                                    maxLength: 50000
                                    description: Code
                                  outputColumns:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                          minLength: 1
                                          description: Column label
                                        path:
                                          type: string
                                          minLength: 1
                                          description: Column key
                                        type:
                                          enum:
                                            - string
                                            - number
                                            - boolean
                                            - date
                                            - timestamp
                                          type: string
                                          description: Type
                                      required:
                                        - name
                                        - path
                                        - type
                                    description: Output columns
                                  includeInputColumns:
                                    type: boolean
                                    default: true
                                    description: Include upstream columns
                                  timeoutMs:
                                    type: integer
                                    minimum: 1000
                                    maximum: 60000
                                    default: 30000
                                    description: Timeout (ms)
                                required:
                                  - code
                                  - outputColumns
                            required:
                              - id
                              - type
                              - data
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                const: ai.step
                              data:
                                anyOf:
                                  - type: object
                                    properties:
                                      includeFullRow:
                                        type: boolean
                                        default: true
                                      model:
                                        enum:
                                          - gpt-5-nano
                                          - gemini-2.5-flash-lite
                                          - gpt-5.4-nano
                                          - gpt-5-mini
                                          - gemini-2.5-flash
                                          - deepseek-v4-flash
                                          - deepseek-v4-pro
                                          - hy3-preview
                                        type: string
                                        default: gpt-5-nano
                                      mode:
                                        const: classify
                                      prompt:
                                        type: string
                                      outputColumn:
                                        type: object
                                        properties:
                                          label:
                                            type: string
                                            minLength: 1
                                          name:
                                            type: string
                                            minLength: 1
                                            pattern: >-
                                              ^[A-Za-z_][A-Za-z0-9_]*(?:\.(?:[A-Za-z_][A-Za-z0-9_]*|\d+))*$
                                          labels:
                                            type: array
                                            minItems: 2
                                            items:
                                              type: string
                                              minLength: 1
                                        required:
                                          - label
                                          - name
                                          - labels
                                    required:
                                      - mode
                                      - outputColumn
                                  - type: object
                                    properties:
                                      includeFullRow:
                                        type: boolean
                                        default: true
                                      model:
                                        enum:
                                          - gpt-5-nano
                                          - gemini-2.5-flash-lite
                                          - gpt-5.4-nano
                                          - gpt-5-mini
                                          - gemini-2.5-flash
                                          - deepseek-v4-flash
                                          - deepseek-v4-pro
                                          - hy3-preview
                                        type: string
                                        default: gpt-5-nano
                                      mode:
                                        const: extract
                                      prompt:
                                        type: string
                                      outputColumns:
                                        type: array
                                        minItems: 1
                                        items:
                                          type: object
                                          properties:
                                            label:
                                              type: string
                                              minLength: 1
                                            name:
                                              type: string
                                              minLength: 1
                                              pattern: >-
                                                ^[A-Za-z_][A-Za-z0-9_]*(?:\.(?:[A-Za-z_][A-Za-z0-9_]*|\d+))*$
                                            type:
                                              enum:
                                                - string
                                                - number
                                                - boolean
                                                - date
                                                - timestamp
                                                - enum
                                              type: string
                                            isArray:
                                              type: boolean
                                              default: false
                                            description:
                                              type: string
                                            enumValues:
                                              type: array
                                              items:
                                                type: string
                                                minLength: 1
                                            enumLabels:
                                              type: object
                                              propertyNames:
                                                type: string
                                              additionalProperties:
                                                type: string
                                                minLength: 1
                                            required:
                                              type: boolean
                                            format:
                                              type: string
                                            placeholder:
                                              type: string
                                            renderHint:
                                              enum:
                                                - textarea
                                              type: string
[...]
